> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses billingsubscriptionvalidate cancel



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/billing/subscription/validate-cancel
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/billing/subscription/validate-cancel:
    post:
      tags:
        - Billing
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsDowngradeValidationResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsDowngradeValidationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsDowngradeValidationResult
components:
  schemas:
    SmartbillsSDKServicesBillingSubscriptionsDowngradeValidationResult:
      type: object
      properties:
        canDowngrade:
          type: boolean
        blockers:
          type: array
          items:
            $ref: >-
              #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsDowngradeBlocker
          nullable: true
      additionalProperties: false
    SmartbillsSDKServicesBillingSubscriptionsDowngradeBlocker:
      type: object
      properties:
        quotaKey:
          type: string
          nullable: true
        currentUsage:
          type: integer
          format: int32
        targetLimit:
          type: integer
          format: int32
        displayName:
          type: string
          nullable: true
      additionalProperties: false

````